aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-chemistry/gromacs/Manifest3
-rw-r--r--sci-chemistry/gromacs/gromacs-3.3.3.ebuild18
2 files changed, 11 insertions, 10 deletions
diff --git a/sci-chemistry/gromacs/Manifest b/sci-chemistry/gromacs/Manifest
index 42598abfc..28109599b 100644
--- a/sci-chemistry/gromacs/Manifest
+++ b/sci-chemistry/gromacs/Manifest
@@ -1,3 +1,2 @@
DIST gromacs-3.3.3.tar.gz 8013789 RMD160 c7b495423eb07682e88bd7d5c61e0aa9156a17d1 SHA1 318802e39f3ca3e847261a3b96906266e32deba2 SHA256 b95becbe410b71fe9bc19b91dfeb98b940dbb2d66613c9e1de7f6d21fb7534fa
-EBUILD gromacs-3.3.3.ebuild 6160 RMD160 e216cdc47a6fb00f6972e9c25b460fb61d842794 SHA1 e639cb7e3aaaf5856a56ca0aa94806b282cd357c SHA256 22b49024e876ae22599fc9fdaefcf76ed305628a365b4e67c701863012a948db
-MISC new 6084 RMD160 ed3f42ce18e4c3055cca5638503506c9b4e80eb4 SHA1 9bef559ef080f54b81005d3c46a3d17a06514784 SHA256 d991de5b0ef422f3ff74564bdafeb9aaff5a8d6e96c8d2afbc88113604a5ec3e
+EBUILD gromacs-3.3.3.ebuild 6212 RMD160 4f441a5169c7076d0520d22d2e24a3af43ca99f4 SHA1 23eb465b6cbef981bad51d6dc51fe3cba14b66d1 SHA256 4088a48083702c10e1c2cd563879b89b7db164c81b71c7fcc259d60501ad4bfe
diff --git a/sci-chemistry/gromacs/gromacs-3.3.3.ebuild b/sci-chemistry/gromacs/gromacs-3.3.3.ebuild
index e9f5f7d04..a528daad6 100644
--- a/sci-chemistry/gromacs/gromacs-3.3.3.ebuild
+++ b/sci-chemistry/gromacs/gromacs-3.3.3.ebuild
@@ -87,6 +87,8 @@ src_compile() {
# We will compile single precision by default, and suffix double-precision with _d.
# Sparc is the only arch I can test on that needs to use fortran.
local myconf ;
+ local myconf_s ;
+ local myconf_d ;
case "${ARCH}" in
@@ -170,28 +172,28 @@ src_compile() {
if ( use double-precision && use single-precision ); then
einfo "Building Single Precison Gromacs"
cd "${WORKDIR}"/"${P}"-single
- myconf="${myconf} --enable-float --disable-double --program-suffix=''"
- econf ${myconf} || die "Single Precision econf failed"
+ myconf_s="${myconf} --enable-float --disable-double --program-suffix=''"
+ econf ${myconf_s} || die "Single Precision econf failed"
emake || die "Single Precision emake failed"
einfo "Building Double Precision Gromacs"
cd "${WORKDIR}"/"${P}"-double
- myconf="${myconf} --enable-double --disable-float --program-suffix=_d"
- econf ${myconf} || die "Double Precision econf failed"
+ myconf_d="${myconf} --enable-double --disable-float --program-suffix=_d"
+ econf ${myconf_d} || die "Double Precision econf failed"
emake || die "Double Precision emake failed"
elif use double-precision ; then
einfo "Building Double Precison Gromacs"
cd "${WORKDIR}"/"${P}"-double
- myconf="${myconf} --enable-double --disable-float --program-suffix=''"
- econf ${myconf} || die "Double Precision econf failed"
+ myconf_d="${myconf} --enable-double --disable-float --program-suffix=''"
+ econf ${myconf_d} || die "Double Precision econf failed"
emake || die "Double Precision emake failed"
elif use single-precision ; then
einfo "Building Single Precison Gromacs"
cd "${WORKDIR}"/"${P}"-single
- myconf="${myconf} --enable-float --disable-double --program-suffix=''"
- econf ${myconf} || die "configure failed"
+ myconf_s="${myconf} --enable-float --disable-double --program-suffix=''"
+ econf ${myconf_s} || die "configure failed"
emake || die "Single Precision emake failed"
fi
}